SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by: true
links:
- role: spec-member
  uid: root
spec-description: null
spec-example: null
spec-info:
  dict:
    attributes:
      value:
        description: |
          It value shall be the default value for the matching variants.
        spec-type: build-option-value
      variants:
        description: |
          It shall be a list of Python regular expression matching with the
          desired variants.
        spec-type: list-str
    description: |
      This set of attributes specifies build option default values by variant.
    mandatory-attributes: all
spec-name: Build Option Default by Variant
spec-type: build-default-by-variant
type: spec
